Class List Method List File List

# Class: Concurrent::Actor::DefaultDeadLetterHandler

Inherits:
  RestartingContext
  - Object
  - AbstractContext
  - RestartingContext
  - Concurrent::Actor::DefaultDeadLetterHandler
  show all
Defined in:
  lib/concurrent/actor/default_dead_letter_handler.rb

## Instance Attribute Summary (collapse)

- - (undocumented) core inherited from AbstractContext readonly

## Instance Method Summary (collapse)

- - (undocumented) on_message(dead_letter)

## Instance Attribute Details

### - (`undocumented`) core (readonly) Originally defined in class AbstractContext

## Instance Method Details

### - (`undocumented`) on_message(dead_letter)

    4
    5
    6

    # File 'lib/concurrent/actor/default_dead_letter_handler.rb', line 4

    def on_message(dead_letter)
      log(INFO) { "got dead letter #{dead_letter.inspect}"}
    end